%define		realname msn-pecan
Name:		purple-%{realname}
Version:	0.0.18
Release:	2%{?dist}
Summary:	Alternative MSN protocol plugin for libpurple 

Group:		Applications/Internet 
License:	GPLv2+
URL:		http://code.google.com/p/msn-pecan/ 
Source0:	http://msn-pecan.googlecode.com/files/%{realname}-%{version}.tar.bz2
Patch0:		purple-msn-pecan-0.0.18_ru-po.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpurple-devel 
BuildRequires:	gettext
BuildRequires:	check-devel


%description
The project aims to have a much faster development process, low barrier for 
contributions, and close contact with the user-base.

Compared to Pidgin's official MSN plug-in:

	* Faster log-in
	* Fewer connection issues
	* Fewer crashes
	* Experimental direct connection support (fast file transfers)
	* Server-side storage for display names (private alias)
	* Support for handwritten messages (read-only)
	* Support for voice clips (receive-only)
	* Support for Plus! sounds (receive-only)
	* Option to hide Plus! tags 

Other features:

	* Support for personal status messages
	* Support for offline messaging (read-only)
	* Send custom emoticons (Pidgin >= 2.5) 


%prep
%setup -q -n %{realname}-%{version}
%patch0 -p0 -b ru-po.rej


%build
make CFLAGS="%{optflags}" %{?_smp_mflags} V=yes


%install
rm -rf $RPM_BUILD_ROOT
install -Dp -m 755 libmsn-pecan.so $RPM_BUILD_ROOT/%{_libdir}/purple-2/libmsn-pecan.so
make install_locales DESTDIR=$RPM_BUILD_ROOT
%find_lang libmsn-pecan 


%check
cd tests
make clean
make


%clean
rm -rf $RPM_BUILD_ROOT


%files -f libmsn-pecan.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING TODO README COPYRIGHT ChangeLog
%{_libdir}/purple-2/libmsn-pecan.so


%changelog
* Sun Mar  8 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.18-2
- Up-to-date description

* Sun Mar  8 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.18-1
- Upgrade to 0.0.18
- Patch russion translation file for missing plural line 348 in po/libmsn-pecan-ru.po

* Mon Jan 19 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.17-4
- Remove DEBUG make option
- V=1 changed to V=yes

* Sun Jan 18 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.17-3
- Add a check section
- Add make options V=1 DEBUG=1 to make build logs more verbose and debuginfo more usefull 

* Sun Jan 18 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.17-2
- Cosmetic fix about realname macro (added in Name item)
- Change license tag from GPLv2 to GPLv2+
- Add missing doc files
- Add translation files

* Wed Jan 14 2009 Edouard Bourguignon <madko@linuxed.net> - 0.0.17-1
- Upgrade to upstream version (0.0.17)
- Requires pidgin removed

* Fri Jun 13 2008 Edouard Bourguignon <edouard.bourguignon@oxalya.com> - 0.0.13-1
- Initial version
